---
title: direction
slug: Web/SVG/Attribute/direction
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>direction</code></strong> attribute specifies the inline-base direction of a {{SVGElement("text")}} or {{SVGElement("tspan")}} element. It defines the start and end points of a line of text as used by the {{SVGAttr("text-anchor")}} and {{SVGAttr("inline-size")}} properties. It also may affect the direction in which characters are positioned if the {{SVGAttr("unicode-bidi")}} property's value is either <code>embed</code> or <code>bidi-override</code>.</p>

<p>It applies only to glyphs oriented perpendicular to the inline-base direction, which includes the usual case of horizontally-oriented Latin or Arabic text and the case of narrow-cell Latin or Arabic characters rotated 90 degrees clockwise relative to a top-to-bottom inline-base direction.</p>

<p>In many cases, the bidirectional Unicode algorithm produces the desired result automatically, so this attribute doesn't need to be specified in those cases. For other cases, such as when using right-to-left languages, it may be sufficient to add the <code>direction</code> attribute to the outermost {{SVGElement("svg")}} element, and allow that direction to inherit to all text elements:</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>direction</code> can be used as a CSS property. See {{cssxref("direction", "CSS direction")}} for further information.</p>

<p>As a presentation attribute, it can be applied to any element but it only has effect on shapes and text context elements, including: {{SVGElement("altGlyph")}}, {{SVGElement("textPath")}}, {{SVGElement("text")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}.</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 600 72" xmlns="http://www.w3.org/2000/svg"
    direction="rtl" lang="fa"&gt;
  &lt;text x="300" y="50" text-anchor="middle"
      font-size="36"&gt;داستان SVG 1.1 SE طولا ني است.&lt;/text&gt;
&lt;/svg&gt;
</pre>

</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>ltr</code> | <code>rtl</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>ltr</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Writing Modes", "#direction", "direction")}}</td>
   <td>{{Spec2("CSS3 Writing Modes")}}</td>
   <td>Definition in CSS</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "text.html#DirectionProperty", "direction")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Refers to the CSS Writing Modes specification of the <code>direction</code> property.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#DirectionProperty", "direction")}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.direction")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("direction", "CSS direction")}}</li>
</ul>
